Bug 590573 - Review Request: cuneiform - OCR System
Review Request: cuneiform - OCR System
Status: CLOSED DUPLICATE of bug 693275
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RussianFedoraRemix
  Show dependency treegraph
 
Reported: 2010-05-10 04:14 EDT by Sergey Raspopov
Modified: 2011-04-04 02:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-04 02:14:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Sergey Raspopov 2010-05-10 04:14:42 EDT
Spec URL: http://sergeyr.fedorapeople.org/cuneiform.spec
SRPM URL: http://sergeyr.fedorapeople.org/cuneiform-0.9.0-1.fc13.src.rpm
Description: Cuneiform is an multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.
Comment 1 Peter Lemenkov 2010-05-11 02:15:19 EDT
Build in Koji failed due to missing BuildRequires cmake (and, possibly, some others):

http://koji.fedoraproject.org/koji/taskinfo?taskID=2179013

Please, ensure that it builds in mock first.
Comment 2 Peter Lemenkov 2010-05-11 04:03:38 EDT
It seems that cmake was the only missing BuilrReqires - I added it, and build was successful:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2179232
Comment 3 Andrea Musuruane 2010-07-22 09:36:48 EDT
Upstream has released v1.0.0. Is it possible to update this package to the latest version?

BTW, is the review stalled?
Comment 4 Peter Lemenkov 2010-07-22 09:47:20 EDT
Oh, sorry - I just found that Sergey finally added missing BuildRequires (although he didn't mention it here).

Yes, updating this package up to 1.0.0 would be great. Ping, Sergey!
Comment 5 Sergey Raspopov 2010-07-23 03:02:18 EDT
Ok.
Comment 6 Sergey Raspopov 2010-07-25 04:58:18 EDT
Version 1.0.0:
Spec URL: http://sergeyr.fedorapeople.org/cuneiform_1.0.0/cuneiform.spec
SPRM URL: http://sergeyr.fedorapeople.org/cuneiform_1.0.0/cuneiform-1.0.0-1.fc13.src.rpm

Description: Cuneiform is an multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.
Comment 7 Peter Lemenkov 2010-08-05 04:43:37 EDT
* It seems that it can't be built on PowerPC

http://koji.fedoraproject.org/koji/taskinfo?taskID=2380960 (F-12)

Otherwise it build fine on x86 and x86_64
http://koji.fedoraproject.org/koji/taskinfo?taskID=2380967 (F-13).

Please, add the following line into your spec:

ExclusiveArch:  %{ix86} x86_64

* Also you need to add license.txt to %doc. Interestingly, but upstream ships 3 license.txt files - two of them are identical. while the other one (bundled with crash report utility) is different:

Sulaco ~/rpmbuild/BUILD/cuneiform-linux-1.0.0: find -type f -iname "license*" -print -exec md5sum {} \;
./cuneiform_src/Addfiles/license.txt
62227db15001fcdcf2cbe3eb05fec860  ./cuneiform_src/Addfiles/license.txt
./cuneiform_src/Kern/icrashreport/sources/crashrpt/src/license.txt
0662a916b38fe8b1093b17cfc3f521b6  ./cuneiform_src/Kern/icrashreport/sources/crashrpt/src/license.txt
./cuneiform_src/Kern/license.txt
62227db15001fcdcf2cbe3eb05fec860  ./cuneiform_src/Kern/license.txt
Sulaco ~/rpmbuild/BUILD/cuneiform-linux-1.0.0: 

* You need to split off development-related files, namely:

work ~/Desktop: rpm -qp cuneiform-1.0.0-1.fc13.i686.rpm -l | grep -E \(include\|so$\)
/usr/include/cuneiform.h
/usr/lib/libccom.so
/usr/lib/libced.so
/usr/lib/libcfcompat.so
/usr/lib/libcfio.so
/usr/lib/libcimage.so
/usr/lib/libcline.so
/usr/lib/libcpage.so
/usr/lib/libcpu32.so
/usr/lib/libcstr.so
/usr/lib/libctb32.so
/usr/lib/libcuneiform.so
/usr/lib/libdif32.so
/usr/lib/libevn32.so
/usr/lib/libexc.so
/usr/lib/libfon32.so
/usr/lib/libleo32.so
/usr/lib/liblns32.so
/usr/lib/libloc32.so
/usr/lib/libmmx32.so
/usr/lib/libmsk32.so
/usr/lib/libpass2.so
/usr/lib/libr3532.so
/usr/lib/librbal.so
/usr/lib/librblock.so
/usr/lib/librcorrkegl.so
/usr/lib/librcutp.so
/usr/lib/librdib.so
/usr/lib/librfrmt.so
/usr/lib/librimage.so
/usr/lib/librline.so
/usr/lib/librling.so
/usr/lib/librlings.so
/usr/lib/librmarker.so
/usr/lib/librneg.so
/usr/lib/librout.so
/usr/lib/librpic.so
/usr/lib/librpstr.so
/usr/lib/librreccom.so
/usr/lib/librsadd.so
/usr/lib/librselstr.so
/usr/lib/librshelllines.so
/usr/lib/librstr.so
/usr/lib/librstuff.so
/usr/lib/librverline.so
/usr/lib/libsmetric.so
/usr/lib/libstd32.so
work ~/Desktop:

* Since you're installing libraries into %{_libdir} you need to add proper post/postun scriptlets:

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

* No such rpm group - Office/Productivity. Most closest equivalent is Applications/Productivity. See /usr/share/doc/rpm-*/GROUPS for full list.

* rpmlint warns about weird behavior of several shared libraries:

cuneiform.i686: W: shared-lib-calls-exit /usr/lib/librfrmt.so.1.0.0 exit@GLIBC_2.0
cuneiform.i686: W: shared-lib-calls-exit /usr/lib/libstd32.so.1.0.0 exit@GLIBC_2.0
cuneiform.i686: W: shared-lib-calls-exit /usr/lib/liblns32.so.1.0.0 exit@GLIBC_2.0

This should (should, not must) be reported upstream.
Comment 8 Peter Lemenkov 2011-03-04 04:56:46 EST
Ping.
Comment 9 Peter Lemenkov 2011-03-12 13:49:02 EST
Ping again
Comment 10 Sergey Raspopov 2011-03-15 05:55:47 EDT
Pong
Comment 11 Peter Lemenkov 2011-03-16 17:01:02 EDT
(In reply to comment #10)
> Pong

Oh, it's nice that you come back!
Could you, please, address (fix and/or comment) issues mentioned above?
Comment 12 Peter Lemenkov 2011-04-01 05:14:31 EDT
Any news?
Comment 13 Dmitrij S. Kryzhevich 2011-04-01 05:43:25 EDT
(In reply to comment #10)
> Pong

Sergey, could I take cuneiform?
Comment 14 Sergey Raspopov 2011-04-02 13:20:54 EDT
(In reply to comment #13)
> (In reply to comment #10)
> > Pong
> 
> Sergey, could I take cuneiform?

Yes
Comment 15 Dmitrij S. Kryzhevich 2011-04-04 02:14:59 EDT

*** This bug has been marked as a duplicate of bug 693275 ***

Note You need to log in before you can comment on or make changes to this bug.